/*
 * EtherPix library
 *
 * Copyright 2010-2017 Stefan Schuermans <stefan schuermans info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, version 3 of the License.
 *
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef ETP_INC_MSG_H
#define ETP_INC_MSG_H

/** message type */
typedef enum etp_msg_type_s {
  etp_msg_type_err, /**< error message */
  etp_msg_type_warn, /**< warning message */
  etp_msg_type_info, /**< information message */
} etp_msg_type_t;

/**
 * \brief type for message callback function
 *
 * \param[in] p_ctx user context
 * \param[in] type message type
 * \param[in] sz_fmt format string
 * \param[in] ... arguments for format string
 */
typedef void (*etp_msg_func_p_t)(void *p_ctx, etp_msg_type_t type,
                                 const char *sz_fmt, ...)
#ifdef __GNUC__
                              __attribute__ ((format (printf, 3, 4)))
#endif
                               ;

#endif /* #ifndef ETP_INC_MSG_H */

